package faktorI;

public class LstPredElem extends Lista{
	
	public void updateOpazanja(Opazanje operand){
		for (PredElem tek = (PredElem)prvo; tek != null; tek = (PredElem)tek.next){
			if(tek.getNaziv().equals(operand.getNaziv()))
				tek.setFaktorI(operand.getOperand().getFaktorI());
		}
	}
	
	public boolean sadrziZakljucak(){
		for (PredElem tek = (PredElem)prvo; tek != null; tek = (PredElem)tek.next){
			if(tek.jeZakljucak())return true;
		}
		return false;
	}
	
	public void refresh(){
		for (PredElem tek = (PredElem)prvo; tek != null; tek = (PredElem)tek.next)
			tek.refresh();
	}
	
	public boolean jednako(LstPredElem lista){
		PredElem tek1 = (PredElem)this.prvo;
		PredElem tek2 = (PredElem)lista.prvo;	
		while(tek1!=null){
			if(tek2 == null) return false;
			if (!tek1.jednako(tek2))return false;
			else{
				tek1=(PredElem)tek1.next;
				tek2=(PredElem)tek2.next;
			}
		}
		if(tek2 == null)return true;
		else return false;
	}
	public String toString(){
		String s = "";
		for (PredElem tek = (PredElem)prvo; tek != null; tek = (PredElem)tek.next){
			if("I".equals(tek.naziv) || "ILI".equals(tek.naziv))s +="\n";
			s += tek + " ";
			if("I".equals(tek.naziv) || "ILI".equals(tek.naziv))s +="\n";
		}
		return s;
	}	
}
